Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.security
Interface AuthorizationProvider

    public interface AuthorizationProvider

An interface that can authorize access to specific resources within repositories.

Method Summary
`boolean` | `hasPermission(ExecutionContext context, String repositoryName, String repositorySourceName, String workspaceName, Path path, String... actions)` Determine if the supplied execution context has permission for all of the named actions in the named workspace.

Method Detail

### hasPermission

    boolean hasPermission(ExecutionContext context,
                          String repositoryName,
                          String repositorySourceName,
                          String workspaceName,
                          Path path,
                          String... actions)

  Determine if the supplied execution context has permission for all of the named actions in the named workspace. If not all actions are allowed, the method returns false.

  Parameters:
    `context` - the context in which the subject is performing the actions on the supplied workspace
    `repositoryName` - the name of the repository containing the workspace content
    `repositorySourceName` - This is no longer used and will always be the same as the repositoryName
    `workspaceName` - the name of the workspace in which the path exists
    `path` - the path on which the actions are occurring
    `actions` - the list of `actions` to check
  Returns:
    true if the subject has privilege to perform all of the named actions on the content at the supplied path in the given workspace within the repository, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.